devguard

Risk controlSearch

Search available controls for mapping to risks.

GET
/risk-control/search/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Query Parameters

organizationId*string
query?string
frameworkId?string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
excludeRiskId?string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://app.devguard.ch/api/risk-control/search/?organizationId=string"
[
  {
    "id": "string",
    "control": {
      "id": "string",
      "identifier": "string",
      "name": "string",
      "frameworkId": "string",
      "framework": {
        "id": "string",
        "name": "string",
        "identifier": "string"
      }
    },
    "frameworkAdoption": {
      "id": "string",
      "frameworkId": "string",
      "organizationId": "string",
      "framework": {
        "id": "string",
        "name": "string",
        "identifier": "string"
      }
    }
  }
]
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

How is this guide?